# $XFree86: doctools/docbook/Makefile,v 1.7 1998/08/29 08:40:12 dawes Exp $

SHELL=/bin/sh

# These are defaults which are normally overriden
PREFIX=/usr/local
INSTALL = install

SUBDIRS = 2.4.1 3.0

MDEFS = 'PREFIX=$(PREFIX)' 'INSTALL=$(INSTALL)' 'BINDIR=$(BINDIR)'

all:
	mydir=`pwd`; \
	for i in $(SUBDIRS); do \
	  echo "Making all in $$i ..."; \
	  cd $$i; $(MAKE) $(MDEFS) all; \
	  cd $$mydir; \
	done

install:
	mydir=`pwd`; \
	for i in $(SUBDIRS); do \
	  echo "Installing in $$i ..."; \
	  cd $$i; $(MAKE) $(MDEFS) install; \
	  cd $$mydir; \
	done

clean:
	mydir=`pwd`; \
	for i in $(SUBDIRS); do \
	  echo "Cleaning in $$i ..."; \
	  cd $$i; $(MAKE) $(MDEFS) clean; \
	  cd $$mydir; \
	done

